OfficeGest
Stocks/Articles/{article}/Notes

List article notes

Returns notes associated with a specific article. Supports optional filtering by subject.

GET
/stocks/articles/{article}/notes
AuthorizationBearer <token>

In: header

Path Parameters

articlestring

Query Parameters

subject?string

Filter notes by subject (partial match)

page?integer

Page number. Default 1; a value below 1 counts as 1.

Default1
Range1 <= value
limit?integer

Items per page. Default 50, maximum 250; a larger value is truncated to 250.

Default50
Range1 <= value <= 250

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/articles/string/notes?subject=string&page=1&limit=50"
{
  "data": [
    {
      "id": "string",
      "article_id": "string",
      "subject": "string",
      "text": "string",
      "notify_sale": true,
      "notify_purchase": true,
      "author_id": "string",
      "created_by": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_by": "string",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "per_page": 50,
    "current_page": 1,
    "has_more": true
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}